LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 10-23-2006, 12:11 PM   #16
Lenard
Senior Member
 
Registered: Dec 2005
Location: Indiana
Distribution: RHEL/CentOS/SL 5 i386 and x86_64 pata for IDE in use
Posts: 4,790

Rep: Reputation: 56

Are you running FC5 then download the FC5 firefox 32-bit rpm and if you have the 64-bit firefox rpm installed remove it first, the updated firefox-1.5.0.7 rpm (and others) can be found here;

http://download.fedora.redhat.com/pu...pdates/5/i386/

I'm currently running the RHEL5Beta1 (updated) which is based on the FC6 work with the 32-bit firefox rpm package with plugins installed (BTW, I'm using the 32-bit firefox to post this message), here's the list (partial I think but close enough to get you close) use it as a reference to get the 32-bit FC5 equivalents;

aalib-1.4.0-5.fc5.rf.i386.rpm
AdobeReader_enu-7.0.8-1.i386.rpm
compat-glibc-2.3.4-2.26.i386.rpm
compat-libgcc-296-2.96-138.i386.rpm
compat-libstdc++-296-2.96-138.i386.rpm
compat-libstdc++-33-3.2.3-61.i386.rpm
firefox-1.5.0.7-7.fc6.i386.rpm
gnome-desktop-2.15.4-1.i386.rpm
gnome-keyring-0.5.1-1.1.i386.rpm
gnome-menus-2.15.4.1-1.i386.rpm
gnome-vfs2-2.15.3-7.i386.rpm
gnome-vfs2-devel-2.15.3-7.i386.rpm
jre-1.5.0_09-fcs.i586.rpm
mencoder-1.0-0.28.pre8.fc5.i386.rpm
mplayer-1.0-0.28.pre8.fc5.i386.rpm
mplayer-codecs-20060611-2.i386.rpm
mplayer-codecs-extra-20060611-2.i386.rpm
mplayerplug-in-3.31-1.el4.rf.i386.rpm
seamonkey-1.0.5-1.fc6.i386.rpm
thunderbird-1.5.0.7-4.fc6.i386.rpm

You don't need to download any package you already have installed, but you need the 64-bit counterparts for the libs (think compat and gnome rpms). You may not want to use yum for this, just download what you need into a common location and use rpm (as root or equivalent) to install after testing to make sure you have everything needed;

rpm -Uvh *.rpm --test

Remove the --test switch when all the requirements are satified to really install.

Last edited by Lenard; 10-23-2006 at 12:13 PM.
 
Old 10-23-2006, 12:35 PM   #17
DyingMuppet
Member
 
Registered: Sep 2006
Location: Netherlands
Distribution: Sabayon Linux 3.26
Posts: 62

Rep: Reputation: 15
Ok I will try it in some way
I tried using Firefox via Wine but that is so ugly :r

Grtzz DM
 
Old 10-23-2006, 02:19 PM   #18
webranger
LQ Newbie
 
Registered: Oct 2006
Posts: 8

Rep: Reputation: 0
Quote:
or is it because i'm still in gnome?
Yeah, that's part of it. When I made it work, I found out I broke a bunch of other stuff.
 
Old 10-24-2006, 06:32 AM   #19
DyingMuppet
Member
 
Registered: Sep 2006
Location: Netherlands
Distribution: Sabayon Linux 3.26
Posts: 62

Rep: Reputation: 15
Hmm.. I think I have firefox 32-bit installed by now but I don't know for sure in firefox help info there it says:
Code:
Mozilla/5.0 (X11; U; Linux i686 (x86_64); nl; rv:1.8.0.7) Gecko/20060913 Fedora/1.5.0.7-1.fc5 Firefox/1.5.0.7 pango-text
 
Old 10-24-2006, 06:34 AM   #20
DyingMuppet
Member
 
Registered: Sep 2006
Location: Netherlands
Distribution: Sabayon Linux 3.26
Posts: 62

Rep: Reputation: 15
Quote:
Originally Posted by DyingMuppet
Hmm.. I think I have firefox 32-bit installed by now but I don't know for sure in firefox help info there it says:
Code:
Mozilla/5.0 (X11; U; Linux i686 (x86_64); nl; rv:1.8.0.7) Gecko/20060913 Fedora/1.5.0.7-1.fc5 Firefox/1.5.0.7 pango-text
ohh wait there's nothing to be afraid of I just ran
Code:
[root@DyingMuppet ~]# yum remove firefox
Loading "installonlyn" plugin
Setting up Remove Process
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package firefox.i386 0:1.5.0.7-1.fc5 set to be erased
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Removing:
 firefox                 i386       1.5.0.7-1.fc5    installed          36 M

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       0 Package(s)
Remove       1 Package(s)
Is this ok [y/N]: N
Exiting on user Command
Complete!
[root@DyingMuppet ~]#
so for now it looks like I'm done

Grtzz DM
 
Old 10-24-2006, 06:42 AM   #21
DyingMuppet
Member
 
Registered: Sep 2006
Location: Netherlands
Distribution: Sabayon Linux 3.26
Posts: 62

Rep: Reputation: 15
Ohh yeah BTW firefox 2.0 is out in a short time...
have I now installed FF1.5 for none?

Last edited by DyingMuppet; 10-24-2006 at 06:44 AM.
 
  


Reply

Tags
bit, firefox, install


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
FC5 x86_64 on Compaq R4000 HD alway makes noise. upsun Fedora 0 03-22-2006 06:06 PM
32 bit mplayer on x86_64 ciopi Linux - Software 2 11-14-2005 11:10 AM
Errors during the test suite for Glibc-20050926 32 Bit � Cross compile x86_64 Basel Linux From Scratch 3 10-29-2005 07:45 AM
firefox i386 on x86_64 kpachopoulos Fedora 0 07-30-2005 05:41 AM
Use 32 bit and x86_64 Linux on same system? jfried Linux - Newbie 1 11-16-2004 12:05 AM


All times are GMT -5. The time now is 07:33 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration